Skip to content
Last updated

title: Test Credential keywords:

  • test credential
  • post
  • test
  • credential

Test a credential by executing a controlled read-only action.

POSThttps://api.aitronos.com/v1/personal-connectors/{credential_id}/test

Path Parameters

credential_id string required

The credential id parameter.


Returns

credential_id string

Credential ID

tool_key string

Tool key

success boolean

Whether the test succeeded

action_tested string

Action that was tested

message string

Result message

execution_time_ms integer or null

Execution time in ms

tested_at string

Timestamp of test

cURL
curl -X POST "https://api.aitronos.com/v1/personal-connectors/{credential_id}/test" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "credential_id": "cred_abc123def456",
  "tool_key": "slack",
  "success": true,
  "action_tested": "example_action_tested",
  "message": "Operation completed successfully",
  "execution_time_ms": 1,
  "tested_at": "2025-11-15T10:30:00Z"
}